function [fitresult, gof] = createFit(RatedHP, MPG)
%CREATEFIT(RATEDHP,MPG)
%  Create a fit.
%
%  Data for 'untitled fit 1' fit:
%      X Input : RatedHP
%      Y Output: MPG
%  Output:
%      fitresult : a fit object representing the fit.
%      gof : structure with goodness-of fit info.
%
%  See also FIT, CFIT, SFIT.

%  Auto-generated by MATLAB on 12-Jul-2021 10:32:07


%% Fit: 'untitled fit 1'.
[xData, yData] = prepareCurveData( RatedHP, MPG );

% Set up fittype and options.
ft = fittype( 'a+b/x', 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.StartPoint = [0.0496622642125449 0.0932213570996692];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );

% Plot fit with data.
figure( 'Name', 'untitled fit 1' );
h = plot( fitresult, xData, yData );
legend( h, 'MPG vs. RatedHP', 'untitled fit 1', 'Location', 'NorthEast', 'Interpreter', 'none' );
% Label axes
xlabel( 'RatedHP', 'Interpreter', 'none' );
ylabel( 'MPG', 'Interpreter', 'none' );
grid on


